Minimum Window Substring (Leetcode Hard) | Hashmap Interview Questions

Sdílet
Vložit
  • čas přidán 8. 10. 2020
  • Please consume this content on nados.pepcoding.com for a richer experience. It is necessary to solve the questions while watching videos, nados.pepcoding.com enables that.
    NADOS also enables doubt support, career opportunities and contests besides free of charge content for learning. Here you will learn about Minimum Window Substring problem using hashmaps and 2 pointer approach. In this question :
    1. You are given two strings s1 and s2 containing lowercase english alphabets.
    2. You have to find the smallest substring of s1 that contains all the characters of s2.
    3. If no such substring exists, print blank string("").
    To attempt and submit this question, click here: www.pepcoding.com/resources/d...
    For a better experience and more exercises, VISIT: www.pepcoding.com/resources/o...
    Have a look at our result: www.pepcoding.com/placements
    Follow us on our FB page: / pepcoding
    Follow us on Instagram: / pepcoding
    Follow us on LinkedIn: / pepcoding-education

Komentáře • 194

  • @alfiyazahra4680
    @alfiyazahra4680 Před 3 lety +34

    sir, your explanation is damn perfect.
    every time search for a coding solution, I wish I found pepcoding there.

    • @Pepcoding
      @Pepcoding  Před 3 lety +13

      Glad to know that you liked the content and thank you for appreciating.
      The love and respect which I get from you people keep me highly motivated and the same I am able to forward It to you people through my videos.
      So, keep motivating, keep learning and keep loving Pepcoding😊

    • @alfiyazahra4680
      @alfiyazahra4680 Před 3 lety +3

      @@Pepcoding yes sir
      U r just awesome

  • @pranjalgusain21
    @pranjalgusain21 Před rokem +4

    Very Engaging and DETAILED explanation! I am naturally Extra Focused during his videos.

  • @shivanivishwakarma2350
    @shivanivishwakarma2350 Před 3 lety +6

    You explained this hard problem in such an easy way. Thankyou :)

  • @mr.k6831
    @mr.k6831 Před 2 lety +2

    Sir, you are the best🖤. Just understood the whole concept of the problem and approach within 6min. Great explanation

  • @bharathpn4906
    @bharathpn4906 Před 2 lety +1

    Great explanation. I was scratching my head whole day reading about this solution online.

  • @shoryasharma9758
    @shoryasharma9758 Před 3 lety +1

    Sir aap great ho sir. Mene ek course lia tha, uss course ne itna confuse kar dia ki khud pe doubt hone laga.Firr aapki dekhi tab jaake samjh aane laga.Ab waha se questions dekh ke explanation ke liye pepcoding pe aata hoon

  • @alonewolf7682
    @alonewolf7682 Před rokem +1

    you are the reason why i am getting interested in programming.
    thank you

  • @dineshsrivastava4508
    @dineshsrivastava4508 Před 3 lety

    You make this problem is so easy for us. Thank you so much sir

  • @ajaywadhwa3398
    @ajaywadhwa3398 Před 2 lety

    Wow Sir !!! Mazaa hi aa gya kahin nahi mili t iski itni easy explanations .
    Sir ji tussi Great ho .

  • @Akshitgupta1
    @Akshitgupta1 Před 3 lety +36

    Hard question and simple explaination, maza aa gya sir💯

  • @ssr5052
    @ssr5052 Před 3 lety +1

    I have seen a lot of video before landing here but you have given a very clear explanation .. great work man :)

  • @VishalKumar-tn8ls
    @VishalKumar-tn8ls Před 2 lety

    Perfect explanation. Couldn't resist to comment

  • @tejanikhil3603
    @tejanikhil3603 Před rokem +1

    Brilliant explanation!! Thank you sir

  • @shambhurajeshirke2970
    @shambhurajeshirke2970 Před měsícem

    sir you gave outstanding explanation with a simple code. love the way of your teaching
    :)

  • @shamsfiroz01
    @shamsfiroz01 Před rokem +1

    Thanks a lot sir to make me understand this hard problem.

  • @saichaithrik7134
    @saichaithrik7134 Před 18 dny

    Sir, Your explanation is one of the greatest thank you so much.

  • @paragroy5359
    @paragroy5359 Před 2 lety +1

    Nice explanation sir.....thanks for making the video

  • @snehajain5562
    @snehajain5562 Před 2 lety

    your explanation is very easy for this hard question ,thanks sir

  • @anuragagnihotri5238
    @anuragagnihotri5238 Před 3 lety +1

    "Bina baat ki cheezien acquire ho rahi hai.." :D , bhai pareshaan ho gaya kuch dhang ka acquire nahi ho raha :D.
    Best way of explaining, love your videos :)

  • @TheProblemSolvers38
    @TheProblemSolvers38 Před 2 lety +6

    I think no one can explain these tricky solutions better then you sir ......... : )

    • @Pepcoding
      @Pepcoding  Před 2 lety +1

      Thanks a lot, for better experience and well organised content sign up on nados.io and start learning.

  • @virusnetic
    @virusnetic Před 3 lety

    we can return the string when releasing and the match (6) count is the same as the length of the substring (as its the best possible answer) ?

  • @friendsav1244
    @friendsav1244 Před rokem

    thanks bro, very good explanation. keep up the good work.

  • @senvikas1946
    @senvikas1946 Před rokem

    great explanation sir, thank you very much.

  • @minkalchaudhary1977
    @minkalchaudhary1977 Před 3 lety +3

    I understood in half way you make hard question so easy.Thank you sir you are doing great job👍.

    • @Pepcoding
      @Pepcoding  Před 3 lety

      I am glad you liked it. I also hope that you are watching till end and trying to understand the what, how and especially why of the problem.
      If you like our efforts, we request a review - g.page/Pepcoding/review?rc

  • @pirangitharun8736
    @pirangitharun8736 Před 3 lety

    Thank you so much. You explained it very clearly. and subscribed too :)

    • @Pepcoding
      @Pepcoding  Před 3 lety +2

      Glad it was helpful! and If you like our efforts, please upvote the comments written by the students about Pepcoding here (www.quora.com/What-are-the-good-websites-to-learn-data-structures-and-algorithms )

  • @rutwikmore7462
    @rutwikmore7462 Před rokem

    Awesome Explaination indeed !!!

  • @janhavipatil4971
    @janhavipatil4971 Před 2 lety

    Thank you so much sir!

  • @aryannagraj4681
    @aryannagraj4681 Před rokem

    you are a great teacher sir

  • @virajpatil5310
    @virajpatil5310 Před rokem

    Nice explanation!!

  • @letsdoeverythinginoneweek9398

    nice explanation after watching so many videos this video is so much helpfullllll........

    • @Pepcoding
      @Pepcoding  Před 3 lety +1

      Thankyou beta!
      If you like our efforts, will you like to write a few words about us here (www.quora.com/How-do-I-start-learning-or-strengthen-my-knowledge-of-data-structures-and-algorithms )

  • @shishirpandey7762
    @shishirpandey7762 Před 3 lety +1

    Do not remove the character from map1 ,if suppose the frequency is zero in map2 then it will take the default frequency 0 in map1 also and while comparing it will not decrement the mcnt and second thing is getDefaultOrZero function is incrementing the value on first hit itself to 1 instead of zero in map1 so containsKey method should be used for checking if the character exists in map or not then increment the value in else condition if it exists.

  • @ericcartman4799
    @ericcartman4799 Před 3 lety

    the way you explain is superb..thanks

  • @enigma2886
    @enigma2886 Před 3 lety +1

    Aap to bade heavy driver nikle

  • @satwikjain6177
    @satwikjain6177 Před rokem

    Really good explanation

  • @srilathareddy9450
    @srilathareddy9450 Před rokem

    superb explaination

  • @AmanKumar-wd2mq
    @AmanKumar-wd2mq Před rokem

    best explaination❤

  • @rohit8021
    @rohit8021 Před rokem

    This was lit🔥

  • @GunjanKumar-ls9ix
    @GunjanKumar-ls9ix Před 3 lety

    Hard Problems seems easy after your video, good job sir.

    • @Pepcoding
      @Pepcoding  Před 3 lety

      I am glad you liked it. I also hope that you are watching till end and trying to understand the what, how and especially why of the problem.
      If you like our efforts, we request a review
      g.page/Pepcoding/review?rc
      You can subscribe to our channel here
      czcams.com/users/Pepcodingabout?view_as=subscriber

  • @CodeSuccessChronicle
    @CodeSuccessChronicle Před 2 lety +1

    Every time I see his video on a topic I'm learning I am like, okay it will be cleared I can plan for next one. He is God 🙏

  • @ankushgupta630
    @ankushgupta630 Před 3 lety +11

    This question seems simple but isn't. GG on explaining it!

  • @rohandevaki4349
    @rohandevaki4349 Před 2 lety

    i got the logic before i saw the video, and i coded too, only few test cases were passing, i did a lot of dry run and modified my code, but still it was not working, in this case i should just follow the other approach and code?

  • @rawat_ji5183
    @rawat_ji5183 Před rokem

    easy to understand thank you sir

  • @shreyjain2357
    @shreyjain2357 Před 2 lety +1

    Sir, what is the space and time complexity of the solution?

  • @246amishakumari7
    @246amishakumari7 Před 3 lety

    you are amazing :)

  • @soumavanag5025
    @soumavanag5025 Před 3 lety +7

    The concept is very tricky and very useful for other problems as well. It gives a new perspective to solve a problem. Thank you :)

    • @ommapari
      @ommapari Před 2 lety +4

      yes it is really an importent concept which can get used in lot of other problems:
      If someone comment in future here I will get notify and I will revise this concept again

    • @ommapari
      @ommapari Před rokem

      @@Kashish_Batra Lag gai

  • @noobhike5609
    @noobhike5609 Před 3 lety +2

    Thanku sir❤️❤️

  • @warmachine9097
    @warmachine9097 Před rokem +2

    Thank you sir
    your explanation was so good that i build my own code 🙂
    public static String minWindow(String s, String t) {
    HashMap reqFreq = new HashMap();
    int reqMatch = t.length();
    for (char c : t.toCharArray()) reqFreq.put(c, reqFreq.getOrDefault(c, 0) + 1);
    String ans = "";
    HashMap workFreq = new HashMap();
    int i = -1, j = -1, currMatch = 0;
    while (i

  • @subhasishhalder4817
    @subhasishhalder4817 Před 2 lety +2

    nice explaination..but sir you dont need to substring it everytime as for large string it would drag your performance..you just need to store the start and end index

  • @shreyamoghe6893
    @shreyamoghe6893 Před 2 lety +1

    Awesome explanation! Seriously great, you keep us glued to the video till the end.
    I had one ques what would be its time complexity?

  • @souravkumarshaw7090
    @souravkumarshaw7090 Před 3 lety

    sir what is the time complexity for the above question?

  • @BCS_VickyGupta
    @BCS_VickyGupta Před 3 lety +1

    We can also use array instead of hashmap..

  • @youngshahrukhkhan8179
    @youngshahrukhkhan8179 Před 3 lety

    Very Nice Explanation.......Keep making videos

    • @Pepcoding
      @Pepcoding  Před 3 lety

      Thankyou beta!
      I am glad you liked it. I hope that you are watching till the end and trying to understand what, how, and especially why of the problem.
      If you like our efforts, will you like to write a few words about us here (www.quora.com/What-are-the-good-websites-to-learn-data-structures-and-algorithms )

  • @chandankumartandi3842
    @chandankumartandi3842 Před 3 lety +9

    Thank you sir, for the content🤗... But one minor correction is required...While collecting the answers, the length will be i-j.......s1. substring(j+1, i-j)....

    • @Pepcoding
      @Pepcoding  Před 3 lety

      I am glad you liked it. I hope that you are watching till the end and trying to understand what, how, and especially why of the problem.
      If you like our efforts, will you like to write a few words about us here (www.quora.com/What-are-the-good-websites-to-learn-data-structures-and-algorithms )

  • @abhishekjha2182
    @abhishekjha2182 Před 3 lety

    Your explanation is soo simple.

    • @Pepcoding
      @Pepcoding  Před 3 lety

      Thank you so much. Keep learning, Keep growing and keep loving Pepcoding!😊

  • @theglamourhut
    @theglamourhut Před 3 lety

    Thankyou very much sir🙏

  • @sarangr8624
    @sarangr8624 Před 3 lety

    Best explanation ever

    • @Pepcoding
      @Pepcoding  Před 3 lety

      I am glad. Keep learning. Keep supporting. Your kind words are the kind of motivation that truly help me in making more and more content. Especially, these days, not everybody is generous with motivating anybody either. It means a lot

  • @kashifanwar4264
    @kashifanwar4264 Před 3 lety +1

    Kya explain Kiya h sir.. outstanding😊

    • @Pepcoding
      @Pepcoding  Před 3 lety

      Thankyou beta!
      I am glad you liked it. I also hope that you are watching till the end and trying to understand the what, how, and especially why of the problem. If you like our efforts, will you like to write a few words about us here (www.quora.com/How-do-I-start-learning-or-strengthen-my-knowledge-of-data-structures-and-algorithms )

  • @saikatdeyashi
    @saikatdeyashi Před rokem

    Sir, This will work with linear time complexity right ?

  • @satyamgupta1416
    @satyamgupta1416 Před 3 lety

    why we are doing minus i.e while i

  • @mishra1576
    @mishra1576 Před 3 lety

    Best explanation 🙏🙏🔥🔥

  • @NaveenKumar-os8dv
    @NaveenKumar-os8dv Před 2 lety

    Just how do you convert your thinking to code so "Easily", it looks like a piece of cake to you, but I am unable to do it, even after knowing the way to do it.

  • @mainakmondal5228
    @mainakmondal5228 Před 2 lety

    Can't be better than this...No way...

  • @brijpatel237
    @brijpatel237 Před 3 lety +5

    watched till half and boom got the green tick! , thanks :-D

    • @Pepcoding
      @Pepcoding  Před 3 lety +1

      Keep learning and Keep supporting.
      Will you like to write a few words about us here (www.quora.com/What-are-the-good-websites-to-learn-data-structures-and-algorithms)

  • @girikgarg8
    @girikgarg8 Před rokem

    Done!

  • @cavi8779
    @cavi8779 Před 3 lety

    Loved ur explanation bhai

    • @Pepcoding
      @Pepcoding  Před 3 lety

      I am glad you liked it. I also hope that you are watching till end and trying to understand the what, how and especially why of the problem.
      If you like our efforts, we request a review
      g.page/Pepcoding/review?rc
      You can subscribe to our channel here
      czcams.com/users/Pepcodingabout?view_as=subscriber

  • @songs-pu9bq
    @songs-pu9bq Před 2 lety

    Lovely explanation brother🙌🙌🔥🔥

    • @yogeshyts
      @yogeshyts Před 2 lety

      jara submit kriyo ye code leetcode pe

  • @loserfruit9663
    @loserfruit9663 Před 3 lety

    Sir,You are best

    • @Pepcoding
      @Pepcoding  Před 3 lety

      wow, this cheers me up. I am glad we at pepcoding could be of help to you. Keep learning. Also, recommend us to your juniors and peers, they may also benefit.

  • @garimagarg9065
    @garimagarg9065 Před 3 lety

    Sir, honestly aap humari hopes ko alive rkhte ho.

    • @Pepcoding
      @Pepcoding  Před 3 lety

      wow, this cheers me up. I am glad we at pepcoding could be of help to you. Keep learning. Also, recommend us to your juniors and peers, they may also benefit.

  • @kancharlasrimannarayana7068

    what is the time complexity?

  • @pankajkohli9263
    @pankajkohli9263 Před 3 lety

    Very nice video. A complex algorithm looks so simple and easy to implement. Please post more videos.
    Suggestion for next problem :
    Similar problem, just a twist the substring should contain the characters in the same order as pattern.
    If the solution is ready. Please send the link :)

  • @marvel438
    @marvel438 Před 2 lety +4

    C++ Concise. Easy to understand
    string minimumWindowSubstring(string str, string target) {
    int n = str.size();
    map map;
    for (char c : target)
    ++map[c];
    int minLen = n + 1;
    int count = 0;
    int k = map.size();
    string result = "";
    int i = 0, j = 0;
    while (j < n) {
    if (count < k) {
    if (map.count(str[j])) {
    --map[str[j]];
    if (map[str[j]] == 0)
    ++count;
    }
    ++j;
    }
    while (count == k) {
    if (minLen > j - i) {
    minLen = j - i;
    result = str.substr(i, j - i);
    }
    if (map.count(str[i])) {
    ++map[str[i]];
    if (map[str[i]] == 1)
    --count;
    }
    ++i;
    }
    }
    return result;
    }

    • @pulkitjain5159
      @pulkitjain5159 Před 2 lety

      thanks this code was more understandable, I saw Aditya Verma Sir's SlidingWindow technique video but could'nt able to code it.Really thanks sir:)

    • @pratik.784
      @pratik.784 Před rokem

      tle aajayega

  • @anas7175
    @anas7175 Před 2 lety +1

    The explanation was really excellent when I saw this question I was confused much after watching your video It's crystal clear Thank You Sir

    • @Pepcoding
      @Pepcoding  Před 2 lety

      Glad it helped! For better experience and precisely arranged content visit on nados.io

  • @KB-zg8ho
    @KB-zg8ho Před 3 lety +1

    Sir in this question what is an alternative version of map.getordefault in c++ ?

    • @Pepcoding
      @Pepcoding  Před 3 lety

      ek fn likhna hoga agar count zero hai to saamne frequency 1 daal dein. nahi to badha dein

  • @sravannayini4329
    @sravannayini4329 Před 2 lety

    Nice explanation. May I know what is the tool you used for explaining the algorithm. I really liked the Tool.

  • @rachelross9275
    @rachelross9275 Před 3 lety +1

    Time Complexity?

  • @rohita6532
    @rohita6532 Před rokem +1

    C++ Solution with a few tweaks
    (1) -> Instead of storing ans as a string I stored its starting and ending index ( and length also for easy understanding)
    because I think .substr() takes much higher time than just updating 2-3 variables.
    GOOGLE SAYS-> substr(): Returns a string which is the copy of the substring. Its time complexity is O(N) where N is the size of the substring.
    (2) -> Instead of making map for curr stage made a frequency vector
    its size will be 58 => 26 capitals + 6 SPECIAL CHARACTERS IN BETWEEN + 26 small
    and to get the index from character do : char - 'A'
    SEE THE ASCII TABLE IF YOU DIDN'T GET THAT
    my LEETCODE submitted ans:
    class Solution {
    public:
    // two pointer acquire and release strategy
    string minWindow(string s, string t) {
    vector req(58,0); // char in t and there required frequency
    for(char c: t){
    req[c-'A']++;
    }
    vector curr(58,0); // freqency array (saves time than map) (26 + 26 +6 special char in between )
    int r = -1; // right pointer to acquire
    int l{-1}; // left pointer to release
    int rmc = t.length(); // required match count
    int cmc = 0; // current match count
    int slen = s.length();
    int anslen = 0;
    int al{-1};
    int ar{-1};
    for(int r{}; r< slen; r++){
    //acquire
    char cc = s[r]; // current char
    curr[cc-'A']++;
    if(curr[cc-'A'] r-l){
    anslen = r-l;
    ar = r;
    al = l;
    }
    l++;
    char cc = s[l]; // current char
    curr[cc-'A']--;
    if(curr[cc-'A'] < req[cc-'A']){
    cmc--;
    }
    }
    }
    string ans{""};
    if(ar != -1){
    ans = s.substr(al+1,ar-al);
    }
    return ans;
    }
    };

  • @himanshu_047
    @himanshu_047 Před 6 měsíci

    Im getting memory limit exceeded error, anyone can help?

  • @anujchetwani7310
    @anujchetwani7310 Před rokem

    exceeds time limit on leet code, for case 266
    class Solution {
    public:
    string minWindow(string s, string t) {
    string result = "";
    /*step1 create a hash map of all characters in substring*/
    unordered_map map2;
    for(int k=0;k

  • @vivekkejriwal3321
    @vivekkejriwal3321 Před 2 lety

    This man is clearly underrated

    • @Pepcoding
      @Pepcoding  Před 2 lety

      Hope you love the explanation, for better experience and well organised content visit - nados.io

  • @lokeshnegi5051
    @lokeshnegi5051 Před 3 lety

    awesome work..

  • @priyanshukumawat4142
    @priyanshukumawat4142 Před 3 lety

    bhai likh ke deta hu mene phle bhi comment kia he ye pep coding just java me he isliye audience kam ho jati he wrna sach bolta hu sumeet sir jesa thought process built krke padhana rare he.code to koi bhi likh kar explain kr de par dhang se zero se smjha pana har kisi ke bas ki bat nhi h ... SALUTE SIR APKO !!!

    • @Pepcoding
      @Pepcoding  Před 3 lety

      wow, this cheers me up. I am glad we at pepcoding could be of help to you. Keep learning. Also, recommend us to your juniors and peers, they may also benefit.

    • @priyanshukumawat4142
      @priyanshukumawat4142 Před 3 lety

      @@Pepcoding SURELY!!!

  • @satvrii
    @satvrii Před rokem

    ❤❤

  • @dewashishwankhede2478
    @dewashishwankhede2478 Před 3 lety

    Amazing explanation

    • @Pepcoding
      @Pepcoding  Před 3 lety

      Glad you think so!

    • @Pepcoding
      @Pepcoding  Před 3 lety

      If you like my efforts, I request a review
      g.page/Pepcoding/review?rc

  • @suhitgupta9429
    @suhitgupta9429 Před 2 lety

    your explanation is very good but plz whenever you make videos please discuss the brut force approach first then the optimal. Most of the time in your videos you directly start with the optimal approach first.

    • @Pepcoding
      @Pepcoding  Před 2 lety

      Thanks a lot for your feedback, we will work on it. For better experience and precisely arranged content visit & sign up to nados.pepcoding.com

  • @511-neelbutani9
    @511-neelbutani9 Před 3 lety +1

    Sir why i

  • @namansrivastava2528
    @namansrivastava2528 Před 3 lety +1

    sir yeh sol gfg pr tle de rha , 10^5 pr nhi chl rha. Any idea why???

  • @2412Anand
    @2412Anand Před 3 lety

    just wowwww....

    • @Pepcoding
      @Pepcoding  Před 3 lety

      I am glad you liked it. I also hope that you are watching till end and trying to understand the what, how and especially why of the problem.
      If you like our efforts, we request a review
      g.page/Pepcoding/review?rc
      You can subscribe to our channel here
      czcams.com/users/Pepcodingabout?view_as=subscriber

  • @SumitSingh-ui4do
    @SumitSingh-ui4do Před 2 lety

    Mast solution sir❤️❤️

    • @Pepcoding
      @Pepcoding  Před 2 lety

      Glad you liked it.
      For better experience and well organised content explore nados.pepcoding.com

  • @sadlyf2056
    @sadlyf2056 Před 2 lety

    In c++ (-1

  • @hunainnasir520
    @hunainnasir520 Před 2 lety +1

    Hi,
    Isn't it that your code will fail for finding smallest string for the below:
    abcdefaghjklabce
    abce
    The answer should be abce which is present at the end however your program will return abcde.

  • @aviralsrivastava7197
    @aviralsrivastava7197 Před 3 lety

    sir acquire and release is same as sliding window??

  • @manavkumarjaiswal2734
    @manavkumarjaiswal2734 Před 3 lety

    can anybody explain
    why are we start collecting from j+1 why not from j and starting j from zero instead of -1 don't you think there is mistake in this line

    • @mickyman753
      @mickyman753 Před 2 lety

      doing this we get correct indexes of i and j for substring function
      you can just do j++ first and make current case susbtring as s1.susbtring(j,i+1)

  • @Impromptu21
    @Impromptu21 Před 3 lety

    Love u sir

    • @Pepcoding
      @Pepcoding  Před 3 lety +1

      Thankyou beta!
      I am glad you liked it. I hope that you are watching till the end and trying to understand what, how, and especially why of the problem.
      If you like our efforts, will you like to write a few words about us here (www.quora.com/What-are-the-good-websites-to-learn-data-structures-and-algorithms )

    • @Impromptu21
      @Impromptu21 Před 3 lety

      @@Pepcoding yes

  • @hari7027
    @hari7027 Před 2 lety +1

    I guess time complexity is O(n^2)
    Space : O(1)

  • @akshaymahajan2597
    @akshaymahajan2597 Před 3 lety

    OP Sir

    • @Pepcoding
      @Pepcoding  Před 3 lety +1

      Glad to know that you liked the content and thank you for appreciating.
      The love and respect which I get from you people keep me highly motivated and the same I am able to forward It to you people through my videos.
      So, keep motivating, keep learning and keep loving Pepcoding😊

  • @Ravi-ks7ev
    @Ravi-ks7ev Před rokem +1

    acquire
    release
    repeat step1 and step2

  • @indranilchakraborty5949

    You are great sir....👍👌👌....very cool explanation 😊😊.Sir Web Dev ka vedio kab ayega ??

    • @Pepcoding
      @Pepcoding  Před 3 lety +1

      Very soon and Thanks alot beta Keep learning, Keep growing and keep loving Pepcoding!😊

    • @yogeshyts
      @yogeshyts Před 2 lety

      kbhi ni

  • @AyushRaj-pm1dz
    @AyushRaj-pm1dz Před 2 lety +7

    C++ Code same as the explained in the video :
    string minWindow(string s, string t) {
    string ans = "";
    unordered_map map2;
    for(auto c : t){
    map2[c]++;
    }
    int matchcount = 0;
    int desiredcount = t.length();
    unordered_map map1;
    int i=0,j=0;
    while(true){
    bool flag1 = false;
    bool flag2 = false;

    //acquire
    while(i

    • @techyguy7776
      @techyguy7776 Před 2 lety

      I tried the same code but with i=-1 and j=-1 but somehow the flow skips the inside while loop do you have any idea on it?

    • @techyguy7776
      @techyguy7776 Před 2 lety

      string smallestWindow (string s, string t)
      {
      // Your code here
      string ans="";
      unordered_map mp1;
      unordered_map mp2;
      int mct=0;
      int dmct=t.length();
      for(auto it : t)
      mp2[it]++;
      int i=-1;
      int j=-1;
      while(true){
      bool f1=false;
      bool f2=false;
      // cout

    • @ROHITKUMAR-xp2xe
      @ROHITKUMAR-xp2xe Před 2 lety

      @@techyguy7776 in while loop put extra (i==-1) condition i.e :- while(i==-1 or i

  • @rosansenapati-pl5hr
    @rosansenapati-pl5hr Před rokem

    Great explanation sir but this is giving TLE in leetcode

  • @rupeshsharma9235
    @rupeshsharma9235 Před 3 lety

    Sir yhe classes kab upload hongi website prr. Orr roj ki timings kya h .?

    • @Pepcoding
      @Pepcoding  Před 3 lety +1

      beta timings as in? ye kal sham tak site pe upload ho jaenge

    • @rupeshsharma9235
      @rupeshsharma9235 Před 3 lety

      @@Pepcoding ok sir thanku.